GString$getVariableValue {R.utils} | R Documentation

## Gets a variable value given a name and attributes

### Description

Gets a variable value given a name and attributes.

### Usage

    ## Static method (use this):
    ## GString$getVariableValue(name, attributes="", where=c("builtin", "envir",
    ##   "parent", "Sys.getenv", "getOption"), envir=parent.frame(), inherits=TRUE,
    ##   missingValue=NA, ...)

    ## Don't use the below:
    ## S3 method for class 'GString'
    getVariableValue(static, name, attributes="", where=c("builtin", "envir",
      "parent", "Sys.getenv", "getOption"), envir=parent.frame(), inherits=TRUE,
      missingValue=NA, ...)

### Arguments

`name` | The name of the variable or function to be queried.
`attributes` | A `character` string of the attributes.
`where` | A `character` `vector` of where to search for the variable or function.
`envir` | An `environment`.
`inherits` | A `logical`.
`missingValue` | The value returned if not found.
`...` | Not used.

### Value

Returns a (`vector` of) objects.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `GString`.

[Package R.utils version 2.6.0 Index]